Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.jobcontrol
Class JobControlListenerAdapter

public class JobControlListenerAdapter
implements JobControlListener

JobControlListenerAdapter is "empty" implementation of JobControlListener interface.It is used for derived classes.

Method Summary
`void` | `jobPaused(JobControlEvent event)` Invoked when job process is paused
`void` | `jobResumed(JobControlEvent event)` Invoked when job process is resumed after termination
`void` | `jobStarted(JobControlEvent event)` Invoked when job is started for the first time.
`void` | `jobTerminated(JobControlEvent event)` Invoked when job is terminated.
`void` | `resultsReady(JobControlEvent event)`
`void` | `valueChanged(JobControlEvent event)` Invoked when preparedness of job is changed.

Method Detail

### jobPaused

    public void jobPaused(JobControlEvent event)

  Invoked when job process is paused
  Parameters:
    event - corresponding event

### jobResumed

    public void jobResumed(JobControlEvent event)

  Invoked when job process is resumed after termination
  Parameters:
    event - corresponding event

### jobStarted

    public void jobStarted(JobControlEvent event)

  Invoked when job is started for the first time.
  Parameters:
    event - corresponding event

### jobTerminated

    public void jobTerminated(JobControlEvent event)

  Invoked when job is terminated.
  Use `event.getStatus()` for getting cause of termination.
  Parameters:
    event - corresponding event
  See Also:
    JobControlEvent.getStatus()

### resultsReady

    public void resultsReady(JobControlEvent event)

### valueChanged

    public void valueChanged(JobControlEvent event)

  Invoked when preparedness of job is changed. Use `event.getPreparedness()` for getting percent of job preparedness.
  Parameters:
    event - corresponding event
  See Also:
    JobControlEvent.getPreparedness()

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM